from django.shortcuts import render_to_response, get_object_or_404
from djigg.links.models import * 
from django.http import HttpResponseRedirect 
from djigg.links.forms import LinkForm 

def add_link(request): 
    if request.method == 'POST': 
        form = LinkForm(request.POST) 
        if form.is_valid():
            form.save() 
            return HttpResponseRedirect('/') 
    else: 
        form = LinkForm()
    return render_to_response('add_link.html', {'form': form})

def channel(request, ch_name): 
    channel = get_object_or_404(Channel, name__iexact=ch_name) 
    return render_to_response('channel.html', 
        {'channel': channel, 'links': channel.link_set.all()})

def vote(request, link_id, updown): 
    link = get_object_or_404(Link, pk=int(link_id)) 
    link.votes += updown 
    link.save() 
    return HttpResponseRedirect('/')

def index(request): 
    links = Link.objects.all().order_by('-votes')[:10] 
    return render_to_response('index.html', {'links': links})